"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.col = exports.section = exports.layout = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var layout = exports.layout = function layout() {
  for (var _len = arguments.length, children = Array(_len), _key = 0; _key < _len; _key++) {
    children[_key] = arguments[_key];
  }

  return _react2.default.createElement(
    "div",
    { className: "layout" },
    children
  );
};

var section = exports.section = function section(key, name) {
  for (var _len2 = arguments.length, rows = Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
    rows[_key2 - 2] = arguments[_key2];
  }

  var renderedRows = rows.map(function (cols, index) {
    return _react2.default.createElement(
      "div",
      { key: "columns-" + index, className: "columns" },
      cols
    );
  });
  return _react2.default.createElement(
    "div",
    { key: key, className: "section" },
    name && name !== '' ? _react2.default.createElement(
      "h5",
      null,
      name
    ) : _react2.default.createElement("div", null),
    renderedRows
  );
};

var col = exports.col = function col(renderField, className) {
  for (var _len3 = arguments.length, fields = Array(_len3 > 2 ? _len3 - 2 : 0), _key3 = 2; _key3 < _len3; _key3++) {
    fields[_key3 - 2] = arguments[_key3];
  }

  if (fields.length === 0) return _react2.default.createElement("div", { className: "column " + className });

  return fields.map(function (field, index) {
    return _react2.default.createElement(
      "div",
      { key: "col-" + index, className: "column " + className },
      typeof field === 'string' ? renderField(field) : field
    );
  });
};